What to do when Smart Switch Error Message is displayed and Connection cannot be established?

Last Update Date : Oct 26. 2018

If error message "The version of the connected device is not support" appears, please check the software version of your Mobile Device.

Smart Switch is supported by Android OS version 4.1.2 or higher. Click here to find out which Mobile Devices support Smart Switch.

Thank you for your feedback!

Need more help? Contact Us.

Online

Live Chat

Monday to Sunday (Including Public Holidays)
Open 24 hours

Email

We'll respond within 24 hours of your request.

Email to CEO

Contact the dedicated CEO's Office.

Call

1800-4252997 (1800 GALAXY S)For Mobile Device and Samsung Apps Enquiries

+65 69161260From Overseas

1800-7267864 (1800 SAMSUNG)For other Products Enquiries

+65 69161261From Overseas

Monday to Sunday (Including Public Holidays)
Open 24 hours

* For any printer related enquiries, please visit HP website .

Face-to-face support

Samsung Service Centres

Find out more about how you can get face-to-face help.

Contact Us